Bug 23340 - gdb gets segmentation fault when changing preferences
gdb gets segmentation fault when changing preferences
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-04 14:57 EST by John Klingler
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 14:42:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Klingler 2001-01-04 14:57:35 EST
Using ddd-3.2-4 to edit gdb settings causes gdb-5.0-7 to get
a segmentation fault.

Here's the stack:
#0  0x809f5b7 in set_architecture_from_arch_mach ()
#1  0x80c8946 in execute_command ()
#2  0x809a34d in async_disable_stdin ()
#3  0x809a9c4 in async_disable_stdin ()
#4  0x8165c58 in rl_callback_read_char ()
#5  0x809a220 in stdin_event_handler ()
#6  0x80e1c4a in delete_file_handler ()
#7  0x80e16c9 in _initialize_regcache ()
#8  0x80e1719 in _initialize_regcache ()
#9  0x80c7b4c in catch_errors ()
#10 0x80e1764 in start_event_loop ()
#11 0x806d248 in _start ()
#12 0x80c7b4c in catch_errors ()
#13 0x806dbe3 in _start ()
#14 0x80c7b4c in catch_errors ()
#15 0x806dc17 in main ()
#16 0x400a2b65 in __libc_start_main (main=0x806dbf0 <main>, argc=4,
ubp_av=0xbffff744, init=0x806c718 <_init>, fini=0x8175d7c <_fini>,
rtld_fini=0x4000df24 <_dl_fini>, stack_end=0xbffff73c) at
../sysdeps/generic/libc-start.c:111
(gdb) 
Segmentation fault
Comment 1 Trond Eivind Glomsrxd 2001-01-05 07:29:50 EST
Please try 5.0-11 in Rawhide.
Comment 2 Trond Eivind Glomsrxd 2001-01-20 18:29:34 EST
Have you tried the Rawhide version yet? Also, exactly how did you produce this bug?
Comment 3 John Klingler 2001-01-23 15:15:27 EST
I upgraded to gdb-5.0-11 and it still happens but is not predictable. 
I was debugging an OpenMotif application and trying to print out a
struct. I was able to use printf's to get around this. I will try to
contruct a small program to isolate the problem. (Sorry, I should have
done this the first time.)
Comment 4 Trond Eivind Glomsrxd 2001-03-01 14:42:48 EST
I can still reproduce this (message of gdb segaulting) just by choosing "edit gb
preferences." Debugging this is a pain.
Comment 5 Trond Eivind Glomsrxd 2001-05-16 11:23:30 EDT
Fixed in gdb-5.0rh-9 - coming soon to Rawhide, available for a limited time from
http://people.redhat.com/teg/gdb/

Note You need to log in before you can comment on or make changes to this bug.